window.addEventListener("load", () => {
    document.querySelectorAll(".projects tbody tr").forEach(row => {
        let id = row.dataset.id
        let selector = row.querySelector(".parent-sel")
        selector.addEventListener("change", () => {
            let fd = new FormData()
            fd.set("parent_id", selector.value)
            let csrftoken = document.querySelector("input[name='csrfmiddlewaretoken']").value
            fetch(`${id}/set_parent`, {
                method: "POST",
                body: fd,
                headers: {
                    "X-CSRFToken": csrftoken
                }
            })
        })

        row.querySelector("button.see").addEventListener("click", () => {
            window.location.href = `${id}/`
        })
    })
})